Package org.apache.ignite.internal.management.encryption

## Class ChangeCacheGroupKeyTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<EncryptionCacheGroupArg,​Void>
    - - org.apache.ignite.internal.management.encryption.ChangeCacheGroupKeyTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<EncryptionCacheGroupArg>,​VisorTaskResult<Void>>`

    public class ChangeCacheGroupKeyTask
    extends VisorOneNodeTask<EncryptionCacheGroupArg,​Void>

The task for changing the encryption key of the cache group.

See Also:
  `IgniteEncryption.changeCacheGroupKey(Collection)`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ChangeCacheGroupKeyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<EncryptionCacheGroupArg,​Void>` `job​(EncryptionCacheGroupArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeCacheGroupKeyTask

    public ChangeCacheGroupKeyTask()

### Method Detail

#### job

    protected VisorJob<EncryptionCacheGroupArg,​Void> job​(EncryptionCacheGroupArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<EncryptionCacheGroupArg,​Void,​Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.